<footer class="footer" role="contentinfo">
  <div class="columns is-desktop">
    <div class="column">
      <ul>
        <li *ngIf="APP_CONFIG.facebook && APP_CONFIG.facebook.length>0">
          <a href="{{APP_CONFIG.facebook}}" title="Facebook (new window)" i18n-title="@@footer.facebook"
            target="_blank" rel="noopener noreferrer">
            <img class="social-network-link" src="./assets/img/icon_fb.svg" i18n-alt="@@footer.facebook" alt="Facebook (new window)">
          </a>
        </li>
        <li class="left-border" *ngIf="APP_CONFIG.twitter && APP_CONFIG.twitter.length>0">
          <a href="{{APP_CONFIG.twitter}}" title="Twitter (new window)" i18n-title="@@footer.twitter"
            target="_blank" rel="noopener noreferrer">
            <img class="social-network-link" src="./assets/img/icon_twi.svg" i18n-alt="@@footer.twitter" alt="Twitter (new window)">
          </a>
        </li>
        <li class="left-border" *ngIf="APP_CONFIG.rss && APP_CONFIG.rss.length>0">
          <a href="{{APP_CONFIG.rss}}"
            title="RSS Feed (new window)" i18n-title="@@footer.rss" target="_blank" rel="noopener noreferrer">
            <img class="social-network-link" src="./assets/img/icon_rss.svg" i18n-alt="@@footer.rss" alt="RSS Feed (new window)">
          </a>
        </li>
      </ul>
    </div>
    <div class="column is-narrow links has-text-centered">
      <div class="links-section">
        <div>
          <a *ngIf="APP_CONFIG.contact && APP_CONFIG.contact.length>0; else elseBlock" href="{{APP_CONFIG.contact}}" target="_blank" i18n="@@footer.contactus">Contact Us</a>
          <ng-template #elseBlock>
            <a [routerLink]="['/', AppRoutes.contact.uri]" i18n="@@footer.contactus">Contact Us</a>
          </ng-template>
        </div>
        <div class="changelog" *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.changelog">
          <span class="bullet">•</span>
          <a [routerLink]="['/', AppRoutes.changelog.uri]" i18n="@@footer.changelog">Last changes</a>
        </div>
        <div *ngIf="catalogueUrl!=undefined && catalogueUrl!=''">
          <span class="bullet">•</span>
          <a [href]="catalogueUrl" i18n="@@footer.catalogueDownload">Download the catalogue</a>
        </div>
      </div>
      <div class="links-section">
        <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.accessibility">
          <a class="accessibility-link" [routerLink]="['/', AppRoutes.accessibility.uri]" i18n="@@footer.accessibility">
            Accessibility</a>
            <span class="bullet">•</span>
        </div>
        <div>
          <a class="site-map-link" [routerLink]="['/', AppRoutes.siteMap.uri]" i18n="@@footer.sitemap">Site Map</a>
        </div>
        <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.legalNotices">
          <span class="bullet">•</span>
          <a class="legal-mentions-link" [routerLink]="['/', AppRoutes.legalNotices.uri]" i18n="@@footer.notices">Legal
            Notices</a>
        </div>
        <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.personalData">
          <span class="bullet">•</span>
          <a class="personal-data-link" [routerLink]="['/', AppRoutes.personalData.uri]" i18n="@@footer.personalData">Personal data</a>
        </div>
        <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.credits">
          <span class="bullet">•</span>
          <a [routerLink]="['/', AppRoutes.credits.uri]" i18n="@@footer.credits">Credits</a>
        </div>
        <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.cgu">
          <span class="bullet">•</span>
          <a [routerLink]="['/', AppRoutes.cgu.uri]" i18n="@@footer.cgu">Terms of use</a>
        </div>
        <div>
          <span class="bullet">•</span>
          <a href preventDefault (click)="openCookieModal()" i18n="@@footer.manageCookies">Manage cookies</a>
        </div>
      </div>
    </div>
    <div class="column metropole">
      <ul>
        <li>
          <a href="{{APP_CONFIG.websiteLink}}" class="metropolis-website-link" target="_blank" rel="noopener noreferrer">
            <img [title]="APP_CONFIG.labels.websitelinkTitle"
              class="plus-logo" src="./assets/img/footer-plus.png" alt="">
            <span>{{APP_CONFIG.labels.websitelinkLabel}}</span>
          </a>
        </li>
      </ul>
    </div>
  </div>
</footer>
